import { z } from 'zod';
import { collectiveGetOneParamsParser, collectiveListQueryParser, collectiveCreateInputParser, collectiveUpdateParamsParser, collectiveUpdateInputParser, collectiveDeleteParamsParser, collectiveGetOneResultParser, collectiveListResultParser } from '../collective/parsers';
export declare type CollectiveGetOneParams = z.infer<typeof collectiveGetOneParamsParser>;
export declare type CollectiveGetOneResult = z.infer<typeof collectiveGetOneResultParser>;
export declare type CollectiveListQuery = z.infer<typeof collectiveListQueryParser>;
export declare type CollectiveListResult = z.infer<typeof collectiveListResultParser>;
export declare type CollectiveCreateBody = z.infer<typeof collectiveCreateInputParser>;
export declare type CollectiveUpdateParams = z.infer<typeof collectiveUpdateParamsParser>;
export declare type CollectiveUpdateBody = z.infer<typeof collectiveUpdateInputParser>;
export declare type CollectiveDeleteParams = z.infer<typeof collectiveDeleteParamsParser>;
