"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.metaUserDocGetOneParamsParser = exports.metaUserListParamsParser = void 0;
const zod_1 = require("zod");
const queryParams_1 = require("../common/parsers/queryParams");
const utils_1 = require("../user/utils");
exports.metaUserListParamsParser = queryParams_1.firestoreListParamsParser;
const metaUserDocIdParser = zod_1.z.string().refine(utils_1.isUserId);
exports.metaUserDocGetOneParamsParser = zod_1.z.object({
    id: metaUserDocIdParser,
});
