import { PAYIN_METHOD_ORIGIN_TYPES } from './constants';
import { StripePaymentMethodId } from '../stripe/types';
import { ORIGIN_TYPE_STRIPE } from '../origin/constants';
import { PayinProviderOriginType } from '../payinProvider/types';
export declare type PayinMethodOriginType = typeof PAYIN_METHOD_ORIGIN_TYPES[number];
export declare type PayinMethodOriginId<PP extends PayinProviderOriginType = typeof ORIGIN_TYPE_STRIPE> = PP extends typeof ORIGIN_TYPE_STRIPE ? StripePaymentMethodId : never;
declare type PayinMethodOriginIdOfTypeMapping = {
    paypal: never;
    stripe: StripePaymentMethodId;
};
export declare type PayinMethodOriginIdOfType<T extends PayinMethodOriginType> = PayinMethodOriginIdOfTypeMapping[T];
export {};
