"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paypalCustomerIdParser = exports.paypalPaymentMethodIdParser = exports.paypalProductIdParser = exports.paypalPlanIdParser = void 0;
const zod_1 = require("zod");
const utils_1 = require("./utils");
exports.paypalPlanIdParser = zod_1.z.string().refine(utils_1.isPaypalPlanId);
exports.paypalProductIdParser = zod_1.z.string().refine(utils_1.isPaypalProductId);
exports.paypalPaymentMethodIdParser = zod_1.z.string(); // TODO
exports.paypalCustomerIdParser = zod_1.z.literal('paypal'); // TODO
