import { PaypalSubscriptionStatus } from './types';
export declare const isPaypalPlanId: (subject: string) => subject is never;
export declare const isPaypalProductId: (subject: string) => subject is never;
export declare const isPaypalSubscriptionStatus: (s: string) => s is "APPROVAL_PENDING" | "APPROVED" | "ACTIVE" | "SUSPENDED" | "CANCELLED" | "EXPIRED";
export declare const toPaypalSubscriptionStatus: (s: string) => PaypalSubscriptionStatus | undefined;
