import { AuthorPayoutArgs } from '../types';
import { payoutQueueQueryParser, payoutQueueResultParser, payoutStatusResultParser } from '../parsers';
import z from 'zod';

export type PayoutQueueItem = {
  args: AuthorPayoutArgs;
  left: AuthorPayoutArgs;
};

export type PayoutQueueStatusResult = z.infer<typeof payoutStatusResultParser>;
export type PayoutQueueQuery = z.infer<typeof payoutQueueQueryParser>;
export type PayoutQueueResult = z.infer<typeof payoutQueueResultParser>;
