import { z } from 'zod';

import {
  authUsersGetOneParamsParser,
  authUsersListQueryParser,
  authUsersGetOneResultParser,
  authUsersListResultParser,
} from '../user/parsers';

export type AuthUserGetOneParams = z.infer<typeof authUsersGetOneParamsParser>;
export type AuthUserGetOneResult = z.infer<typeof authUsersGetOneResultParser>;
export type AuthUserListQuery = z.infer<typeof authUsersListQueryParser>;
export type AuthUserListResult = z.infer<typeof authUsersListResultParser>;
