"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.payoutBatchItemCompositeKeyIsomorphism = void 0;
const parsers_common_1 = require("./parsers.common");
exports.payoutBatchItemCompositeKeyIsomorphism = {
    to: ({ userId, originType, currency }) => `${userId}:${originType}:${currency}`,
    from: (serialized) => {
        const [userId, originType, currency] = serialized.split(':');
        return parsers_common_1.payoutBatchItemCompositeKeyParser.parse({
            userId,
            originType,
            currency,
        });
    },
};
