"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.payoutBatchItemCompositeKeyParser = exports.compositeKeyParsers = void 0;
const zod_1 = __importDefault(require("zod"));
const parsers_1 = require("../user/parsers");
const parsers_2 = require("../payoutMethod/parsers");
const parsers_3 = require("../currencies/parsers");
exports.compositeKeyParsers = {
    userId: parsers_1.userIdParser,
    originType: parsers_2.payoutMethodOriginTypeParser,
    currency: parsers_3.currencyParser,
};
exports.payoutBatchItemCompositeKeyParser = zod_1.default.object(exports.compositeKeyParsers);
