import z from 'zod';
import { cast } from '../../utils/types';
import { RoutingStrategySerialized } from './brand.types';
import { routingStrategyIsomorphism } from './isomorphism';

// to remove cycles
// TODO ??? https://stackoverflow.com/questions/74108767/zod-compose-a-string-and-an-object-parsers
export const routingStrategySerializedParser = z
  .string()
  .transform(cast<RoutingStrategySerialized>())
  .transform(routingStrategyIsomorphism.to);
